strongswan vpn cannot be established via the network-manager

Bug #1570352 reported by volker kempter on 2016-04-14
174
This bug affects 35 people
Affects Status Importance Assigned to Milestone
network-manager-strongswan (Ubuntu)
High
Unassigned

Bug Description

strongswan vpn cannot be established via the network-manager
-> connection fails without error message.

When attempting to do "configure vpn" with the network-manager, the error appears "The VPN service org.freedesktop.NetworkManager.strongswan could not be found (translation from German: "VPN-Erweiterungsdienst org.freedesktop.... kann nicht gefunden werden"). This behaviour seems to be related to the recent update of the network-manager package (I suppose...).

On the other hand, the VPN connection can still be established via the console with "sudo ipsec restart", followed by "sudo ipsec up tuc-vpn".

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: network-manager 1.1.93-0ubuntu3
Uname: Linux 4.5.1-040501-generic i686
ApportVersion: 2.20.1-0ubuntu1
Architecture: i386
CurrentDesktop: LXDE
Date: Thu Apr 14 14:07:44 2016
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2015-09-15 (212 days ago)
InstallationMedia: Lubuntu 15.10 "Wily Werewolf" - Alpha i386 (20150913)
IpRoute:
 default via 192.168.0.1 dev enp1s8 proto static metric 100
 default via 192.168.0.1 dev wlan0 proto static metric 600
 192.168.0.0/24 dev enp1s8 proto kernel scope link src 192.168.0.140 metric 100
 192.168.0.0/24 dev wlan0 proto kernel scope link src 192.168.0.55 metric 600
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: network-manager
UpgradeStatus: Upgraded to xenial on 2015-11-08 (157 days ago)
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2015-11-03T16:31:40.961796
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH CONNECTION CON-UUID CON-PATH
 enp1s8 ethernet connected /org/freedesktop/NetworkManager/Devices/2 Kabelnetzwerkverbindung 1 ef47282a-4775-4751-b25e-55afa7307cb3 /org/freedesktop/NetworkManager/ActiveConnection/0
 wlan0 wifi connected /org/freedesktop/NetworkManager/Devices/0 KDG-CB9CE 1136b8f4-3bfa-4b58-931a-6f1a3f3311dc /org/freedesktop/NetworkManager/ActiveConnection/1
 lo loopback unmanaged /org/freedesktop/NetworkManager/Devices/1 -- -- --
 tun0 tun unmanaged /org/freedesktop/NetworkManager/Devices/3 -- -- --
nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 2: Error: Object 'nm' is unknown, try 'nmcli help'.

volker kempter (v-kempter) wrote :
Sebastien Bacher (seb128) wrote :

Thank you for your bug report. Was it working before the 1.1 update that landed to xenial this week?

Sebastien Bacher (seb128) wrote :

The package might need to be update to support the new nm version, fedora did that http://pkgs.fedoraproject.org/cgit/rpms/NetworkManager-strongswan.git/commit/?id=af4a053787bd672e3923a5661fb53334ffc0e89c which we can probably reuse

affects: network-manager (Ubuntu) → network-manager-strongswan (Ubuntu)
tags: added: nm11issue rls-x-incoming
Changed in network-manager-strongswan (Ubuntu):
importance: Undecided → High
volker kempter (v-kempter) wrote :

ad #2:

Setup of VPN via the network manager was working previously.
According to the network manager, the last successful contact to VPN was made 4 days ago

volker kempter (v-kempter) wrote :

ad #3:
I would need some advice if you wish me to become active here.

Ah, there was an update to NM 1.1. Then the patches Sebastien referred to will probably be required (at least some of them). In the strongSwan repository (https://git.strongswan.org/?p=strongswan.git) you'll find these fixes in the nm-1.2 branch (not yet finished, see https://github.com/strongswan/strongswan/pull/15). There are also some fixes for older NM releases in the nm-updates branch (on which the other branch is based).
As soon as the fixes are ready I will release a new tarball for the strongSwan NM plugin for packaging (probably two versions, one for older NM versions, one for NM 1.1 and newer). There are some changes in the nm-updates branch that will also require patching/rebuilding the strongswan-nm package.

volker kempter (v-kempter) wrote :

for completeness:
the very recent network-manager, v 1.1.93-0ubuntu4 did not solve the problem: situation is unchanged, strongswan vpn cannot be established via the network-manager.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager-strongswan (Ubuntu):
status: New → Confirmed
Allen (allen-s) wrote :

Even my old VPN configuration does not work anymore to connect to the VPN on 16.04. I am receiving this error when I try connecting to the StrongSWAN VPN from 16.04:

Here is my sanitized VPN log from syslog:

Apr 27 19:14:43 pc NetworkManager[6458]: <info> [1461802483.2728] vpn-connection[0x12bc200,<GUID HERE>,"<DOMAIN HERE>",0]: VPN connection: (IP4 Config Get) reply received from old-style plugin
Apr 27 19:14:43 pc NetworkManager[6458]: <error> [1461802483.2729] vpn-connection[0x12bc200,<GUID HERE>,"<DOMAIN HERE>",8:(tun0)]: VPN gateway is neither IPv4 nor IPv6
Apr 27 19:14:43 pc NetworkManager[6458]: <warn> [1461802483.2729] vpn-connection[0x12bc200,<GUID HERE>,"<DOMAIN HERE>",8:(tun0)]: VPN connection: did not receive valid IP config information
Apr 27 19:14:43 pc charon-nm: 05[IKE] deleting IKE_SA <DOMAIN HERE>[7] between 192.168.1.224[<DN HERE>]...<IP ADDRESS HERE>[<DN HERE>]

hli (hli-4) wrote :

with old Packages from 15.10 it is working in 16.04:

dpkg -i network-manager_1.0.4-0ubuntu5.3_amd64.deb libgnutls-deb0-28_3.3.15-5ubuntu2_amd64.deb libnl-route-3-200_3.2.26-1_amd64.deb libnl-3-200_3.2.26-1_amd64.deb

(you have to reboot after install)

volker kempter (v-kempter) wrote :

strongswan vpn, establishing connection via network manager:

with the most recent version of the network-manager-gnome, v1.2.0-0ubuntu.16.04.3, vpn can again be established via the network manager! No complaints anymore from my side.

/ (0-) wrote :

Are you sure it's working with the latest version? I confirmed that I have 16.04.3 update v1.2.0-0ubuntu and still the same issue.

volker kempter (v-kempter) wrote :

ad #12:
Strange, for me, vpn can be established also from the GUI. I checked it with two machines, both Lubuntu-16.04 under kernels 4.4.0-25 and 4.6.0-7.

Have you checked that you can set - up vpn via the console by using the "ipsec" commands? (That worked also when I had the problem with establishing vpn from the GUI!).

Jonas Köritz (jonas-koeritz) wrote :

IPSec/Strongswan is not visible in NetworkManager GUI for me, see attached screenshot.

Bernie Hoeneisen (bhoeneis) wrote :

It looks like the duplicate merge combined two different issues, i.e.

1) Network-manager does not show a choice for Strongswan in the configuration (as commented by jonas-koeritz) and reported in bug 1578193

2) "connection fails without error message" as described in the beginning of this bug 1570352 by volker kempter

Not sure whether these two bugs are interrelated. It may make sense to address these separately.

volker kempter (v-kempter) wrote :

ad #15:
I also feel that we talk about two different issues.

hello team i am not certified for ubuntu 16.04 lts because i am using vpn (pptp) connection but this o/s (ubuntu 1604 lts) not connected by vpn network please help me how to setup and connect vpn (pptp) connection on ubuntu 16.04lts

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers